#Arquivo de benefício do par (Projeto, Mes)
from benefit import *
#Arquivo de validação das Restrições
from constraints import *
#Arquivo da Heuristica GRASP
from grasp import *
#Arquivo de Leitura das Entradas do Problema
from reader import *
#Modulo Math do Python
import math
#Modulo Operator do Python
import operator

######################--CALCULO DOS PARES DE BENEFÍCIOS--####################

#Variavel recebe o valor da FUNÇÃO
benefit_pairs = make_benefit_list(initial_month, project_risk_total, total_cost, project_duration, T)

#Salva a lista de beneficios do par ordenada em forma crescente
#Lista com formato de par: ((projeto, mes), beneficio).
sbp = sorted(benefit_pairs.items(), key=operator.itemgetter(1))

#Retorna lista ordenada por valor de beneficio
sorted_benefit_pairs = [x for x in reversed(sbp)]

######################--CALCULO DOS PARES DE BENEFÍCIOS--#############-END-##
